Skip to main content
POST
/
conversations
/
messages
/
outbound
Add an external outbound call
curl --request POST \
  --url https://services.leadconnectorhq.com/conversations/messages/outbound \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "type": "Call",
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "conversationProviderId": "61d6d1f9cdac7612faf80753",
  "attachments": [
    "<string>"
  ],
  "altId": "61d6d1f9cdac7612faf80753",
  "date": "2023-11-07T05:31:56Z",
  "call": {
    "to": "+15037081210",
    "from": "+15037081210",
    "status": "completed"
  }
}
'
{
  "success": true,
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "message": "<string>",
  "contactId": "<string>",
  "dateAdded": "2023-11-07T05:31:56Z",
  "emailMessageId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Body

application/json
type
enum<string>
required

Message Type

Available options:
Call
Example:

"Call"

conversationId
string
required

Conversation Id

Example:

"ve9EPM428h8vShlRW1KT"

conversationProviderId
string
required

Conversation Provider Id

Example:

"61d6d1f9cdac7612faf80753"

attachments
string[]

Array of attachments

altId
string

external mail provider's message id

Example:

"61d6d1f9cdac7612faf80753"

date
string<date-time>

Date of the outbound message

call
object

Response

Created the message

success
boolean
required
conversationId
string
required

Conversation ID.

Example:

"ABC12h2F6uBrIkfXYazb"

messageId
string
required

This is the main Message ID

Example:

"t22c6DQcTDf3MjRhwf77"

message
string
required
contactId
string
dateAdded
string<date-time>
emailMessageId
string
Last modified on March 4, 2026